> For the complete documentation index, see [llms.txt](https://docs.gestao.plus/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gestao.plus/api/public/payment_options_indicator.md).

# Opções de Pagamento no Indicador

## Listar opções de pagamento por indicador

<mark style="color:blue;">`GET`</mark> `https://api.gestao.plus/order/info?q=options&p=i1:goiere&t=negotiationTypes`

Liste as formas de recebimento do parceiro indicador com esta rota.\
A diferença desta rota para a listagem na unidade é o "i" no parâmetro "p".

#### Query Parameters

| Name                                | Type    | Description                                                                                                                                          |
| ----------------------------------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------- |
| p<mark style="color:red;">\*</mark> | string  | A unidade da qual iremos filtrar os tipos de negociação utilizados, aqui utilizamos "u4\_goiere"                                                     |
| t<mark style="color:red;">\*</mark> | string  | A informação que queremos sobre o parametro "p", nessa consulta escolhemos a "negotiationTypes", para listar as formas de recebimento desta unidade. |
| q<mark style="color:red;">\*</mark> | boolean | A consulta "query" a ser realizada sobre os pedidos, neste caso iremos utilizar "options".                                                           |

#### Headers

| Name                                     | Type   | Description              |
| ---------------------------------------- | ------ | ------------------------ |
| Origin<mark style="color:red;">\*</mark> | string | URL origem da requisição |

{% tabs %}
{% tab title="200 " %}

```
{
    "negotiationTypes": [
        {
            "id": 8,
            "description": "Boleto",
            "paymentSettings": {
                "paymentMethod": "BOLETO",
                "installments": 0
            }
        },
        {
            "id": 21,
            "description": "E-commerce - Cartão de crédito 1x",
            "paymentSettings": {
                "paymentMethod": "CARTAO_CREDITO",
                "installments": 1
            }
        },
        {
            "id": 22,
            "description": "E-commerce - Cartão de crédito 2x",
            "paymentSettings": {
                "paymentMethod": "CARTAO_CREDITO",
                "installments": 2
            }
        },
        {
            "id": 23,
            "description": "E-commerce - Cartão de crédito 3x",
            "paymentSettings": {
                "paymentMethod": "CARTAO_CREDITO",
                "installments": 3
            }
        }
    ],
    "image": {
        "name": "data_imgntG2Pi",
        "description": null,
        "href": "https://dev.gestao.plus/file?q={}=="
    },
    "description": "Outro texto contabilidade",
    "origin": "VENDA_ONLINE_INDICADOR",
    "id": "1",
    "_links": {
        "self": {
            "href": "https://api.gestao.plus/order/1"
        }
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gestao.plus/api/public/payment_options_indicator.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
